@layer theme,base,components,stylex.priority1,stylex.priority2,stylex.priority3,utilities;

@layer theme, base, components, stylex.priority1;

@layer stylex.priority2 {
  .x1717udv {
    padding: 0;
  }
}

@layer stylex.priority3 {
  .x10hpsqq {
    border-radius: 9999px;
  }

  .x1w7v5e7 {
    border-radius: var(--x1wkejrp);
  }

  .xcxl1nx {
    border-radius: var(--x435dfe);
  }

  .x1iq34f8 {
    border-radius: var(--xoownn3);
  }

  .x1d1yctx {
    border-radius: var(--xr5b11m);
  }

  .x845mor, .x98rzlu {
    flex: 1;
  }

  .x195vfkc {
    gap: 2px;
  }

  .x1jnr06f {
    gap: 4px;
  }

  .xuu0vd9 {
    outline: 0 solid #0000;
  }

  .xb3r6kr {
    overflow: hidden;
  }

  .x1awh872 {
    padding-inline: 10px;
  }

  .xaope02 {
    padding-inline: 12px;
  }

  .x5k8d2m {
    padding-inline: 2px;
  }

  .xfn1xvj {
    padding-inline: 4px;
  }

  .x1xijbu4 {
    padding-inline: 6px;
  }

  .xdqyycr {
    padding-inline: 8px;
  }

  .xh8pzn0 {
    transition: background-color .15s ease-out, box-shadow .15s ease-out, transform .15s ease-out;
  }
}

@layer stylex.priority4 {
  .x6s0dn4 {
    align-items: center;
  }

  .xqcrz7y {
    align-self: flex-start;
  }

  .x1c74tu6 {
    animation-duration: 2s;
  }

  .xa4qsjk {
    animation-iteration-count: infinite;
  }

  .xo6bm9r {
    animation-name: xjsmpz5-B;
  }

  .xw1l40g {
    animation-timing-function: cubic-bezier(.4, 0, .6, 1);
  }

  .xjbqb8w {
    background-color: #0000;
  }

  .x1qeikv5 {
    background-color: var(--x11un4hz);
  }

  .x10ngxgx {
    background-color: var(--x15xn96m);
  }

  .x3w9idv {
    background-color: var(--x4ytokz);
  }

  .x158g6z3 {
    background-color: var(--xeam25i);
  }

  .x1998ih2 {
    background-color: var(--xkgiw4j);
  }

  .x1bbjv8b {
    background-color: var(--xzw1rxc);
  }

  .x1isnsf7 {
    box-shadow: inset 0 0 0 .5px #0000;
  }

  .x4no6js {
    box-shadow: inset 0 0 0 1px #0000001a;
  }

  .x1ecv4wh {
    box-shadow: inset 0 0 0 1px transparent,0 0 0 1px var(--xb8b5d);
  }

  .x1pfzu0w {
    box-shadow: var(--xchlsye),inset 0 0 0 1px var(--x17z9piw);
  }

  .xvyjqhh {
    color: var(--x1ekhc4z);
  }

  .xxfdj07 {
    color: var(--x1lekvs5);
  }

  .xufeahz {
    color: var(--xnl6tum);
  }

  .xmfxcp {
    color: var(--xzw1rxc);
  }

  .x1awj2ng {
    color: #fff;
  }

  .x1ihrfj4 {
    column-gap: 3px;
  }

  .x1jn3k19 {
    cursor: var(--cursor);
  }

  .x78zum5 {
    display: flex;
  }

  .x3nfvp2 {
    display: inline-flex;
  }

  .x1s85apg {
    display: none;
  }

  .x1t1x2f9 {
    flex-basis: 0%;
  }

  .x1iyjqo2 {
    flex-grow: 1;
  }

  .x2lah0s {
    flex-shrink: 0;
  }

  .xs83m0k {
    flex-shrink: 1;
  }

  .xud8f97 {
    font-size: var(--x196k1pl);
  }

  .x1s8kanw {
    font-size: var(--x1o7uquj);
  }

  .x1k2m5sp {
    font-size: var(--x3wjx8d);
  }

  .xoifh9v {
    font-size: var(--xnzwhvs);
  }

  .xss6m8b {
    font-variant-numeric: tabular-nums;
  }

  .xo1l8bm {
    font-weight: 400;
  }

  .xwpgu1q {
    font-weight: var(--x19w6wzh);
  }

  .xduhyi7 {
    font-weight: var(--x1ioj011);
  }

  .xp0hfyw {
    font-weight: var(--x1t0c6d5);
  }

  .xsoh8xv {
    font-weight: var(--x7iti48);
  }

  .xl56j7k {
    justify-content: center;
  }

  .x1nhvcw1 {
    justify-content: flex-start;
  }

  .x1qughib {
    justify-content: space-between;
  }

  .x1nmfmv6 {
    letter-spacing: var(--x1cjcpjz);
  }

  .xx04nof {
    letter-spacing: var(--x1o5qrx7);
  }

  .xy83spr {
    letter-spacing: var(--xdr1coy);
  }

  .x15ji44y {
    letter-spacing: var(--xwdwiwo);
  }

  .x1rj4bvt {
    line-height: var(--x1dy92w8);
  }

  .x1t7feuw {
    line-height: var(--x3z2kqz);
  }

  .xyrc7y0 {
    line-height: var(--xanptbv);
  }

  .x1bqj34t {
    line-height: var(--xjab52s);
  }

  .xbyyjgo {
    opacity: .5;
  }

  .x1ks1olk {
    opacity: .7;
  }

  .x1uczgqu {
    outline-color: #0000;
  }

  .xaatb59 {
    outline-style: solid;
  }

  .x1k57tk5 {
    outline-width: 0;
  }

  .x47corl {
    pointer-events: none;
  }

  .x10l6tqk {
    position: absolute;
  }

  .xdpxx8g {
    text-align: left;
  }

  .xr5o5jz {
    text-decoration-color: #0000;
  }

  .xujl8zx {
    text-decoration-line: underline;
  }

  .xlyipyv {
    text-overflow: ellipsis;
  }

  .xda060z {
    text-underline-offset: 3px;
  }

  .xuuh30 {
    transform: translateX(-50%);
  }

  .xx6bhzk {
    transition-duration: .15s;
  }

  .x1w74yt8 {
    transition-property: color, background-color, border-color, text-decoration-color, fill, stroke;
  }

  .xt3l3uh {
    transition-property: color;
  }

  .xwwtwea {
    transition-timing-function: cubic-bezier(.4, 0, .2, 1);
  }

  .x87ps6o {
    -webkit-user-select: none;
    user-select: none;
  }

  .xuxw1ft {
    white-space: nowrap;
  }

  .x1n327nk {
    z-index: 10;
  }

  .x1lonena.x1lonena:where(.x-default-marker:hover *) {
    color: var(--xieuz84);
  }

  .x1cqg6ji.x1cqg6ji:where(a, button):active {
    background-color: var(--x4ytokz);
  }

  .x18h54ur.x18h54ur:where(a, button):hover {
    background-color: var(--xsx400a);
  }

  .xd1f0jd:focus-visible {
    outline-color: var(--x1svunx3);
  }

  .xiv99f2.xiv99f2:where(a, button):focus-visible {
    outline-color: var(--x1svunx3);
  }

  .x6kb5m4.x6kb5m4:where(a, button):focus-visible {
    outline-width: 2px;
  }

  .x784prv:focus-visible {
    outline-width: 2px;
  }

  .x1o6dulm:hover {
    background-color: color-mix(in oklab,var(--xzw1rxc) 10%,transparent);
  }

  .xwqq6zq:hover {
    background-color: color-mix(in srgb,var(--xzw1rxc) 5%,transparent);
  }

  .x1n5bzlp:hover {
    background-color: #0000;
  }

  .xhkpbaw:hover {
    background-color: var(--x1qv2jhy);
  }

  .x1457ras:hover {
    background-color: var(--xsx400a);
  }

  .xy48gxr:hover {
    box-shadow: inset 0 0 0 .5px #0000;
  }

  .x11el4x5:hover {
    box-shadow: inset 0 0 0 1px #0000002e;
  }

  .x1jm6qvd:hover {
    box-shadow: var(--xchlsye),inset 0 0 0 1px #0000002e;
  }

  .xqbai44:hover {
    color: color-mix(in oklab,var(--xzw1rxc) 80%,transparent);
  }

  .x1vo4xgq:hover {
    color: var(--x1lekvs5);
  }

  .xkuu0jo:hover {
    -webkit-text-decoration-color: color-mix(in srgb,var(--x1ekhc4z) 50%,transparent);
    text-decoration-color: color-mix(in srgb,var(--x1ekhc4z) 50%,transparent);
  }

  @media (-webkit-device-pixel-ratio >= 2), (resolution >= 192dpi), (resolution >= 2x) {
    .x1n64s4s.x1n64s4s {
      box-shadow: inset 0 0 0 .5px #0000001a;
    }

    .x1lc78w2.x1lc78w2 {
      box-shadow: inset 0 0 0 .5px transparent,0 0 0 .5px var(--xb8b5d);
    }

    .xw9o9c5.xw9o9c5 {
      box-shadow: var(--xchlsye),inset 0 0 0 .5px var(--x17z9piw);
    }
  }

  @media (width >= 768px) {
    .x1ar0i7x.x1ar0i7x {
      display: inline-flex;
    }
  }

  @media (-webkit-device-pixel-ratio >= 2), (resolution >= 192dpi), (resolution >= 2x) {
    .x1if1xmz.x1if1xmz:hover {
      box-shadow: inset 0 0 0 .5px #0000002e;
    }

    .x15cjqpc.x15cjqpc:hover {
      box-shadow: var(--xchlsye),inset 0 0 0 .5px #0000002e;
    }
  }
}

@layer stylex.priority5 {
  .xxzp1fc {
    bottom: 80px;
  }

  .x170jfvy {
    height: 10px;
  }

  .x1nbnut7 {
    height: 128px;
  }

  .x1kpxq89 {
    height: 12px;
  }

  .x1v9usgg {
    height: 14px;
  }

  .x1ymw6g {
    height: 160px;
  }

  .xlup9mm {
    height: 16px;
  }

  .xmix8c7 {
    height: 18px;
  }

  .xb2rc7v {
    height: 192px;
  }

  .x1qx5ct2 {
    height: 20px;
  }

  .xxk0z11 {
    height: 24px;
  }

  .x1fgtraw {
    height: 28px;
  }

  .x10w6t97 {
    height: 32px;
  }

  .xc9qbxq {
    height: 36px;
  }

  .x1vqgdyp {
    height: 40px;
  }

  .x1nrll8i {
    left: 50%;
  }

  .x1yztbdb {
    margin-bottom: 16px;
  }

  .x1tpqehw {
    margin-left: 12px;
  }

  .x8x9d4c {
    margin-left: auto;
  }

  .x14vqqas {
    margin-top: 12px;
  }

  .x1xmf6yo {
    margin-top: 8px;
  }

  .xr1yuqi {
    margin-top: auto;
  }

  .xeuugli {
    min-width: 0;
  }

  .xgc0pbm {
    min-width: 1px;
  }

  .xnei2rj {
    min-width: 24px;
  }

  .x1jn76jz {
    min-width: 56px;
  }

  .xh8yej3 {
    width: 100%;
  }

  .x1fsd2vl {
    width: 10px;
  }

  .xj35x94 {
    width: 112px;
  }

  .xygnafs {
    width: 120px;
  }

  .x2pejg6 {
    width: 128px;
  }

  .xsmyaan {
    width: 12px;
  }

  .x16s0kzc {
    width: 132px;
  }

  .xifkd7f {
    width: 140px;
  }

  .x1fznrkb {
    width: 144px;
  }

  .x6jxa94 {
    width: 14px;
  }

  .xq1dxzn {
    width: 160px;
  }

  .xctrb1h {
    width: 168px;
  }

  .x1kky2od {
    width: 16px;
  }

  .x1f1nzxn {
    width: 176px;
  }

  .x1so1ns2 {
    width: 192px;
  }

  .x1oysuqx {
    width: 200px;
  }

  .x143tcsw {
    width: 208px;
  }

  .x1uncgzr {
    width: 224px;
  }

  .xafpxmx {
    width: 240px;
  }

  .xvy4d1p {
    width: 24px;
  }

  .x1t9vceh {
    width: 256px;
  }

  .xgd8bvy {
    width: 28px;
  }

  .x1m258z3 {
    width: 320px;
  }

  .x1td3qas {
    width: 32px;
  }

  .x14qfxbe {
    width: 36px;
  }

  .x100vrsf {
    width: 40px;
  }

  .x1useyqa {
    width: 48px;
  }

  .x1fu8urw {
    width: 64px;
  }

  .xni59qk {
    width: 72px;
  }

  .xg0jo4d {
    width: 75%;
  }

  .x1dmp6jm {
    width: 80px;
  }

  .x29ncy0 {
    width: 88px;
  }

  .x13oubkp {
    width: 96px;
  }

  @media (width >= 640px) {
    .x1qa66lv.x1qa66lv {
      width: auto;
    }
  }
}

@layer utilities;

@keyframes xjsmpz5-B {
  50% {
    opacity: .5;
  }
}

:root, .x14jsj25 {
  --x1f4a99l: var(--text-16-semibold--font-variation-settings);
}

:root, .xdg1ksx {
  --x1id4qmd: var(--text-10-regular--line-height);
  --x1nh65kd: var(--text-10-medium--line-height);
  --x3z2kqz: var(--text-11-regular--line-height);
  --xowmej4: var(--text-11-medium--line-height);
  --x1ts25kh: var(--text-12-regular--line-height);
  --x1dy92w8: var(--text-12-medium--line-height);
  --xlopv72: var(--text-13-regular--line-height);
  --xjab52s: var(--text-13-medium--line-height);
  --xj4m84l: var(--text-13-semibold--line-height);
  --x1kskkk4: var(--text-14-regular--line-height);
  --xanptbv: var(--text-14-medium--line-height);
  --x1oksyjc: var(--text-14-semibold--line-height);
  --xmoj2mc: var(--text-16-regular--line-height);
  --x1wqkjeo: var(--text-16-medium--line-height);
  --xqpxl9y: var(--text-16-semibold--line-height);
  --x1or4zrn: var(--text-18-regular--line-height);
  --x169uqc0: var(--text-18-medium--line-height);
  --x1ftico9: var(--text-18-semibold--line-height);
  --xqrm7p6: var(--text-24-semibold--line-height);
}

:root, .x14jqbb0 {
  --x1m1ljwj: var(--shadow-popover);
  --x1y92n0n: var(--shadow-page);
  --xchlsye: var(--shadow-panel-1);
}

:root, .x1bnhjot {
  --x1t2xrp9: var(--font-sans);
  --x1ricip0: var(--default-font-family);
}

:root, .x14twfgy {
  --x1yom8py: var(--text-10-regular);
  --xg21vyt: var(--text-10-medium);
  --x196k1pl: var(--text-11-regular);
  --x897gr9: var(--text-11-medium);
  --xr1zp9g: var(--text-12-regular);
  --x3wjx8d: var(--text-12-medium);
  --xlpugcd: var(--text-13-regular);
  --x1o7uquj: var(--text-13-medium);
  --x1ddl7y: var(--text-13-semibold);
  --x16n88cr: var(--text-14-regular);
  --xnzwhvs: var(--text-14-medium);
  --x12tl4gj: var(--text-14-semibold);
  --x1unbde6: var(--text-16-regular);
  --xsi257t: var(--text-16-medium);
  --x1q2ds8m: var(--text-16-semibold);
  --xs3ib6q: var(--text-18-regular);
  --xt72dwz: var(--text-18-medium);
  --x1v21fny: var(--text-18-semibold);
  --x1urug3o: var(--text-24-semibold);
}

:root, .xu9ahij {
  --x435dfe: var(--radius-1);
  --xoownn3: var(--radius-1\.5);
  --xr5b11m: var(--radius-2);
  --xdprsti: var(--radius-2\.5);
  --x1wkejrp: var(--radius-3);
  --x1dcc9fg: var(--radius-3\.5);
  --xb3va0u: var(--radius-4);
  --x1ubyr18: var(--radius-4\.5);
  --xu1pxsg: var(--radius-5);
  --x1668yhg: var(--radius-5\.5);
}

:root, .x1rtnsxc {
  --x4ytokz: var(--color-p0);
  --x1yjkrgc: var(--color-s0);
  --xnfpx1b: var(--color-sa0);
  --xsx400a: var(--color-p1);
  --x1gktt61: var(--color-s1);
  --x1rce4j1: var(--color-sa1);
  --xeam25i: var(--color-p2);
  --x17z9piw: var(--color-s2);
  --x1mc9qx1: var(--color-sa2);
  --xsrwg02: var(--color-black-invert);
  --x1lekvs5: var(--color-foreground);
  --x27eh14: var(--color-foreground-secondary);
  --xnl6tum: var(--color-foreground-muted);
  --xb51bkp: var(--color-foreground-disabled);
  --x1qreu7t: var(--color-foreground-inverse);
  --x1tii7sl: var(--color-p50);
  --x196tphz: var(--color-p100);
  --x1efvcua: var(--color-p200);
  --x1k0c7wr: var(--color-p300);
  --x1mlyucb: var(--color-p400);
  --x15xn96m: var(--color-p500);
  --xc5csyv: var(--color-p600);
  --x1v6eqej: var(--color-p700);
  --xjpp5sr: var(--color-p800);
  --x1tkh1fy: var(--color-p900);
  --x1b7e5hr: var(--color-p950);
  --x104atzk: var(--color-interactive);
  --x1qv2jhy: var(--color-interactive-hover);
  --xkgiw4j: var(--color-interactive-active);
  --x1h3pimt: var(--color-interactive-focus);
  --xpjqqne: var(--color-interactive-stroke);
  --x1jr6nup: var(--color-interactive-stroke-hover);
  --xb8b5d: var(--color-interactive-stroke-active);
  --x1svunx3: var(--color-interactive-stroke-focus);
  --x16rmu3t: var(--color-workflow-green);
  --xjn3qru: var(--color-workflow-blue);
  --x1f2vjpy: var(--color-workflow-orange);
  --x1mmgxtp: var(--color-workflow-connector);
  --x11un4hz: var(--color-skeleton);
  --x1md8cc3: var(--color-icon);
  --x1md4n5p: var(--color-surface-primary);
  --x15n0hrk: var(--color-surface-secondary);
  --x1nnx5vn: var(--color-surface-tertiary);
  --x102zpdo: var(--color-text-normal);
  --xieuz84: var(--color-text-secondary);
  --x1ekhc4z: var(--color-text-tertiary);
  --x15yj5fq: var(--color-border);
  --x15m8mvg: var(--color-border-subtle);
  --x1eiwoa: var(--color-semantic-success);
  --xhr2xdx: var(--color-semantic-warning);
  --xzw1rxc: var(--color-semantic-danger);
  --x1yo5zll: var(--color-semantic-info);
}

:root, .xqszr35 {
  --xgystr0: var(--text-10-regular--font-weight);
  --xpae1od: var(--text-10-medium--font-weight);
  --x1t0c6d5: var(--text-11-regular--font-weight);
  --x1b09ub4: var(--text-11-medium--font-weight);
  --x40u3a0: var(--text-12-regular--font-weight);
  --x19w6wzh: var(--text-12-medium--font-weight);
  --x1r168ty: var(--text-13-regular--font-weight);
  --x7iti48: var(--text-13-medium--font-weight);
  --x1xyw66h: var(--text-13-semibold--font-weight);
  --x2sswft: var(--text-14-regular--font-weight);
  --x1ioj011: var(--text-14-medium--font-weight);
  --x6mad21: var(--text-14-semibold--font-weight);
  --x1hr6rpb: var(--text-16-regular--font-weight);
  --x1b7zlfo: var(--text-16-medium--font-weight);
  --xn5wbe6: var(--text-16-semibold--font-weight);
  --xpbmgcc: var(--text-18-regular--font-weight);
  --x164g3yv: var(--text-18-medium--font-weight);
  --x1gbdh2c: var(--text-18-semibold--font-weight);
  --xno4hx: var(--text-24-semibold--font-weight);
}

:root, .x1x5b3uz {
  --xm77qjr: var(--animate-pulse-one);
  --xk663d9: var(--animate-pulse-one-alt);
}

:root, .xcgwh5d {
  --xwdwiwo: var(--default-letter-spacing);
  --xdu0pro: var(--text-10-regular--letter-spacing);
  --xz27q7e: var(--text-10-medium--letter-spacing);
  --x10h5yd0: var(--text-11-regular--letter-spacing);
  --xomwaoc: var(--text-11-medium--letter-spacing);
  --x1um4r8q: var(--text-12-regular--letter-spacing);
  --x1o5qrx7: var(--text-12-medium--letter-spacing);
  --x1cjcpjz: var(--text-13-medium--letter-spacing);
  --x6q4ct5: var(--text-13-semibold--letter-spacing);
  --x1k611gj: var(--text-14-regular--letter-spacing);
  --xdr1coy: var(--text-14-medium--letter-spacing);
  --x1aej6ob: var(--text-14-semibold--letter-spacing);
  --xze1rbu: var(--text-16-regular--letter-spacing);
  --x1k5jqqb: var(--text-16-medium--letter-spacing);
  --x1w0wn3o: var(--text-16-semibold--letter-spacing);
  --xa3a1px: var(--text-18-regular--letter-spacing);
  --xpa14c0: var(--text-18-medium--letter-spacing);
  --x1q7ugp1: var(--text-18-semibold--letter-spacing);
  --x16gwyp9: var(--text-24-semibold--letter-spacing);
}
